import { EntityDefinition } from '@journeyapps-labs/reactor-mod';
import { EditorTheme } from '../stores/MonacoThemeStore';
import { EditorEntities } from './EditorEntities';
export declare class EditorThemeEntityDefinition extends EntityDefinition<EditorTheme> {
    static TYPE: EditorEntities;
    constructor();
    getEntityUID(t: EditorTheme): string;
    matchEntity(t: any): boolean;
}
